com.io7m.jtensors.storage.api.unparameterized.vectors

## Interface VectorStorageFloating2Type

- All Superinterfaces:
    VectorReadable2DType, VectorStorageType
  All Known Subinterfaces:
    PVectorByteBufferedFloating2Type<T>, PVectorByteBufferedFloating3Type<T>, PVectorByteBufferedFloating4Type<T>, PVectorStorageFloating2Type<T>, PVectorStorageFloating3Type<T>, PVectorStorageFloating4Type<T>, VectorByteBufferedFloating2Type, VectorByteBufferedFloating3Type, VectorByteBufferedFloating4Type, VectorStorageFloating3Type, VectorStorageFloating4Type
  All Known Implementing Classes:
    PVectorByteBufferedFloating2s16, PVectorByteBufferedFloating2s32, PVectorByteBufferedFloating2s64, PVectorByteBufferedFloating3s16, PVectorByteBufferedFloating3s32, PVectorByteBufferedFloating3s64, PVectorByteBufferedFloating4s16, PVectorByteBufferedFloating4s32, PVectorByteBufferedFloating4s64, VectorByteBufferedFloating2s16, VectorByteBufferedFloating2s32, VectorByteBufferedFloating2s64, VectorByteBufferedFloating3s16, VectorByteBufferedFloating3s32, VectorByteBufferedFloating3s64, VectorByteBufferedFloating4s16, VectorByteBufferedFloating4s32, VectorByteBufferedFloating4s64

      public interface VectorStorageFloating2Type
      extends VectorReadable2DType, VectorStorageType

  The type of mutable 2D floating point number vectors.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `setVector2D(Vector2D v)` Set the components from the given vector.
    `default void` | `setVector2F(Vector2F v)` Set the components from the given vector.
    `void` | `setX(double x)` Set the `x` component.
    `default void` | `setXY(double x, double y)` Set the `x` and `y` components.
    `void` | `setY(double y)` Set the `Y` component.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType

      `x, y`

- - ### Method Detail

    - #### setVector2D

          default void setVector2D(Vector2D v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setVector2F

          default void setVector2F(Vector2F v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setX

          void setX(double x)

      Set the `x` component.
      Parameters:
        `x` - The X component

    - #### setY

          void setY(double y)

      Set the `Y` component.
      Parameters:
        `y` - The Y component

    - #### setXY

          default void setXY(double x,
                             double y)

      Set the `x` and `y` components.
      Parameters:
        `x` - The X component
        `y` - The Y component

Copyright © 2017 <code@io7m.com> http://io7m.com